Cria um índice do Atlas Search na coleção especificada. Os índices do Atlas Search definem os campos nos quais criar o índice e os analisadores a serem usados ao criar o índice. Somente clusters executando o MongoDB v4.2 ou posterior podem usar o Atlas Search.
- Editor de índice de pesquisa de projeto
parâmetros de caminho
-
Sequência única de 24dígitos hexadecimais que identifica seu projeto. Use o endpoint /groups para extrair todos os projetos aos quais o usuário autenticado tem acesso.
AVISO: grupos e projetos são termos sinônimos. O ID do seu grupo é igual ao ID do seu projeto. Para grupos existentes, o ID do grupo/projeto permanece o mesmo. O recurso e os endpoints correspondentes usam o termo grupos.
O formato deve corresponder ao seguinte padrão:
^([a-f0-9]{24})$. -
Nome do cluster que contém a coleção na qual criar um índice do Atlas Search.
O formato deve corresponder ao seguinte padrão:
^[a-zA-Z0-9][a-zA-Z0-9-]*$.
parâmetros de query
-
Sinalizador que indica se o aplicativo empacota a resposta em um objeto JSON
envelope. Alguns clientes de API não podem acessar os cabeçalhos de resposta HTTP ou o código de status. Para corrigir isso, defina envelope=true na consulta. Os endpoints que retornam uma lista de resultados usam o objeto de resultados como um envelope. O aplicativo adiciona o parâmetro de status ao corpo da resposta.O valor padrão é
false. -
Sinalizador que indica se o corpo da resposta deve estar no formato prettyprint.
O valor padrão é
false.Prettyprint
curl \
--request POST 'https://cloud.mongodb.com/api/atlas/v1.0/groups/32b6e34b3d91647abb20e7b8/clusters/{clusterName}/fts/indexes' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '{
"collectionName": "string",
"database": "string",
"name": "string",
"numPartitions": 1,
"storedSource": {
"include | exclude": [
"field1",
"field2"
]
},
"type": "search",
"analyzer": "lucene.standard",
"analyzers": [
{
"charFilters": [
{
"ignoredTags": [
"string"
],
"type": "htmlStrip"
}
],
"name": "string",
"tokenFilters": [
{
"originalTokens": "omit",
"type": "asciiFolding"
}
],
"tokenizer": {
"maxGram": 42,
"minGram": 42,
"type": "edgeGram"
}
}
],
"mappings": {
"dynamic": false,
"fields": {
"additionalProperty1": {},
"additionalProperty2": {}
}
},
"searchAnalyzer": "lucene.standard",
"synonyms": [
{
"analyzer": "lucene.standard",
"name": "string",
"source": {
"collection": "string"
}
}
]
}'
{
"collectionName": "string",
"database": "string",
"name": "string",
"numPartitions": 1,
"storedSource": {
"include | exclude": [
"field1",
"field2"
]
},
"type": "search",
"analyzer": "lucene.standard",
"analyzers": [
{
"charFilters": [
{
"ignoredTags": [
"string"
],
"type": "htmlStrip"
}
],
"name": "string",
"tokenFilters": [
{
"originalTokens": "omit",
"type": "asciiFolding"
}
],
"tokenizer": {
"maxGram": 42,
"minGram": 42,
"type": "edgeGram"
}
}
],
"mappings": {
"dynamic": false,
"fields": {
"additionalProperty1": {},
"additionalProperty2": {}
}
},
"searchAnalyzer": "lucene.standard",
"synonyms": [
{
"analyzer": "lucene.standard",
"name": "string",
"source": {
"collection": "string"
}
}
]
}
{
"collectionName": "string",
"database": "string",
"name": "string",
"numPartitions": 1,
"storedSource": {
"include | exclude": [
"field1",
"field2"
]
},
"type": "vectorSearch",
"fields": [
{
"additionalProperty1": {},
"additionalProperty2": {}
}
],
"nestedRoot": "sections"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint) No provider AWS exists.",
"error": 400,
"errorCode": "VALIDATION_ERROR",
"reason": "Bad Request"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 401,
"errorCode": "NOT_ORG_GROUP_CREATOR",
"reason": "Unauthorized"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 403,
"errorCode": "CANNOT_CHANGE_GROUP_NAME",
"reason": "Forbidden"
}
{
"detail": "Invalid Configuration. Contains selections that are unavailable due to your organization's resource policies.",
"error": 403,
"errorCode": "ATLAS_RESOURCE_POLICIES_VIOLATION_NOT_AUTHORIZED",
"parameters": [],
"policiesCausingDecision": [
{
"id": "32b6e34b3d91647abb20e7b8",
"name": "forbid-aws-clusters"
}
],
"reason": "Forbidden"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint) Cannot find resource AWS",
"error": 404,
"errorCode": "RESOURCE_NOT_FOUND",
"reason": "Not Found"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint) Cannot delete organization link while there is active migration in following project ids: 60c4fd418ebe251047c50554",
"error": 409,
"errorCode": "CANNOT_DELETE_ORG_ACTIVE_LIVE_MIGRATION_ATLAS_ORG_LINK",
"reason": "Conflict"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 500,
"errorCode": "UNEXPECTED_ERROR",
"reason": "Internal Server Error"
}